﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WSXs Self-Test IEEE
INSTRUMENT:            Sub LeCroy WSXs Cal Initialize IEEE
INSTRUMENT:            Sub LeCroy WSXs Check Software Option IEEE
DATE:                  2007-10-22 09:06:30
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       146
=============================================================================
#
#  Procedure Author:  VY
#
#  Model(s) Covered:  WS24Xs, WS42Xs, WS44Xs, WS64Xs, WS62Xs, WS104Xs
#
#  Compatibility:     MET/CAL 7.20 or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                 PSUBI("Self-Test")
  1.002  JMPL         CAL_INITIALIZE            PSUBI("Cal Initialize")
  1.003  JMPL         CHECK_SOFTWARE_OPTION     PSUBI("Check Software Option")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

#******************************* Self-Test ***********************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  DISP         Remove all connections.

  2.006  IF           @NumChan == 2
  2.007  DISP         The next operator intervention occurs in
  2.007  DISP         approximately 1 minutes, 30 seconds ...
  2.008  ELSE
  2.009  DISP         The next operator intervention occurs in
  2.009  DISP         approximately 3 minutes, 50 seconds ...
  2.010  ENDIF

  2.011  IEEE         *TST?[I$]
  2.012  EVAL   -e FINDI(MEM2, "0", 0) : SELF TEST

  3.001  IF           NOT(FINDI(MEM2, "0", 0))
  3.002  DISP         UUT SELF TEST failed!
  3.002  DISP
  3.002  DISP         The UUT may need to be serviced.
  3.002  DISP
  3.002  DISP         Procedure will be aborted.
  3.003  MATH         @Abort = 1

  3.004  ELSE
  3.005  MATH         @Abort = 0
  3.006  ENDIF

  3.007  END

  3.008  EVAL   Increment step number

#*************************** Cal Initialize ****************************

  4.001  LABEL        CAL_INITIALIZE

  4.002  IEEE         *CLS;*RST
  4.003  IEEE2        PACL;CHDR OFF;INE 0

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  4.004  IF           @NumChan == 2

# Specify channel being tested.
  4.005  IF           @Chan == 1
  4.006  IEEE2        C1:TRA ON;C2:TRA OFF
  4.007  ELSEIF       @Chan == 2
  4.008  IEEE2        C1:TRA OFF;C2:TRA ON
  4.009  ELSE         ; EXT
  4.010  IEEE2        C1:TRA OFF;C2:TRA OFF
  4.011  ENDIF

  4.012  ELSE

# Specify channel being tested.
  4.013  IF           @Chan == 1
  4.014  IEEE2        C1:TRA ON;C2:TRA OFF;C3:TRA OFF;C4:TRA OFF
  4.015  ELSEIF       @Chan == 2
  4.016  IEEE2        C1:TRA OFF;C2:TRA ON;C3:TRA OFF;C4:TRA OFF
  4.017  ELSEIF       @Chan == 3
  4.018  IEEE2        C1:TRA OFF;C2:TRA OFF;C3:TRA ON;C4:TRA OFF
  4.019  ELSEIF       @Chan == 4
  4.020  IEEE2        C1:TRA OFF;C2:TRA OFF;C3:TRA OFF;C4:TRA ON
  4.021  ELSE         ; EXT
  4.022  IEEE2        C1:TRA OFF;C2:TRA OFF;C3:TRA OFF;C4:TRA OFF
  4.023  ENDIF

  4.024  ENDIF

  4.025  WAIT         -t 2 System is initializing ...
  4.026  END

  4.027  EVAL   Increment step number

#*************************** Check Software Option ***********************

# *OPT? response firmware revision substring has the form:
#
#   "*OPT 0"  (No Option)
#   "*OPT MATHSURF"

  5.001  LABEL        CHECK_SOFTWARE_OPTION
  5.002  IEEE         *OPT?[I$]

  5.003  IF           FINDI(MEM2, "MATHSURF", 0)
  5.004  MATH         @AverageFunc = 1
  5.005  ELSE
  5.006  MATH         @AverageFunc = 0
  5.007  ENDIF

  5.008  END
